package Übungen;
public class Radio {
    boolean eingeschaltet;
    int lautstaerker;
    double frequenz;

    public Radio(){}

    public Radio(boolean eingeschaltet, int lautstaerker, double frequenz){

        this.eingeschaltet = eingeschaltet;
        this.lautstaerker = lautstaerker;
        this.frequenz = frequenz;
    }

    public void lauter(){
        if (this.eingeschaltet)
            while (lautstaerker <= 10) 
                lautstaerker++;
        else
            System.err.println("Das Radio ist aus!");

        System.out.println("Lautstärke des Radios= "+ lautstaerker);
    }

    public void leiser(){
        if (this.eingeschaltet)
            while (lautstaerker >= 0) 
                lautstaerker--;
        else 
            System.out.println("Das Radio ist aus!");

        System.out.println("Lautstärke des Radios= "+ lautstaerker);
    }

    public String an(){
        this.eingeschaltet = true;
        return "an";
    }

    public boolean aus(){
        return this.eingeschaltet = false;
    }  

    public void waehleSender(double frequenz){
        if (frequenz < 85.0 || frequenz > 110.0)
            this.frequenz = 99.9;
        else
            this.frequenz = frequenz;
    }

    @Override
    public String toString(){
        if (this.eingeschaltet)
            return"Radio an: Freq = " + this.frequenz + ", Laut = " + this.lautstaerker;
        
        return "Radio ist aus!";
    }

}
